package com.atlassian.bitbucket.mesh.git.builder.notes;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitNotes implements GitNotes {

    private final GitProcessBuilder builder;

    public DefaultGitNotes(GitProcessBuilder builder) {
        this.builder = builder.command("notes");
    }

    @Nonnull
    @Override
    public GitNotesAddBuilder add(@Nonnull String object) {
        return new DefaultGitNotesAddBuilder(builder, object);
    }

    @Nonnull
    @Override
    public GitNotesRemoveBuilder remove(@Nonnull String object) {
        return new DefaultGitNotesRemoveBuilder(builder, object);
    }

    @Nonnull
    @Override
    public GitNotesShowBuilder show(@Nonnull String object) {
        return new DefaultGitNotesShowBuilder(builder, object);
    }
}
